# Initialize Payment

This service checks whether the required configurations have been completed on the Paynet side and then returns the deeplink\_url required for the transaction, along with the encryption\_key used to decrypt the encrypted data returned to the customer’s mobile application. To send a request to this service, a mobile session token (session\_key) must be used.

## POST /v1/softpos/init\_sale\_transaction

> Start Sale – init\_sale\_transaction

```json
{"openapi":"3.0.3","info":{"title":"PayPOS (Paynet) API","version":"1.0.0"},"tags":[{"name":"SoftPOS"}],"servers":[{"url":"https://api.paynet.com.tr","description":"Production"},{"url":"https://pts-api.paynet.com.tr","description":"Sandbox"}],"paths":{"/v1/softpos/init_sale_transaction":{"post":{"summary":"Start Sale – init_sale_transaction","tags":["SoftPOS"],"parameters":[{"name":"Session-Key","in":"header","required":true,"description":"Mobile session key","schema":{"type":"string"}},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitSaleRequest"}}}},"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitSaleResponse"}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"description":"Content type.","schema":{"type":"string"}}},"schemas":{"InitSaleRequest":{"type":"object","properties":{"amount":{"type":"number","description":"Amount."},"add_commission":{"type":"boolean","description":"Should the commission be added?"},"instalment":{"type":"integer","description":"Installment."},"card_holder_phone":{"type":"string","description":"Card holder phone."},"card_holder_mail":{"type":"string","description":"Card holder mail."},"description":{"type":"string","description":"Description."},"reference_no":{"type":"string","description":"Reference number."},"selected_agent_id":{"type":"string","description":"Selected agent id."},"callback_url":{"type":"string","description":"Deeplink will take you back to the mobile application."}}},"InitSaleResponse":{"type":"object","properties":{"payment_session_id":{"type":"string","description":"Payment session id."},"deeplink_url":{"type":"string","description":"Deeplink url."},"encryption_key":{"type":"string","description":"Encryption key."},"object_name":{"type":"string","description":"Object name."},"code":{"type":"integer","description":"Code."},"message":{"type":"string","description":"Message."}}},"ErrorResponse":{"type":"object","properties":{"object_name":{"type":"string","description":"Object name."},"code":{"type":"integer","description":"Code."},"message":{"type":"string","description":"Message."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/en/products/paypos-app2app/paypos-app2app-integration/initialize-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
